Create Property Value
curl --request POST \
--url https://api.jtl-cloud.com/erp/properties/{propertyId}/values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Name": "<string>",
"Description": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/properties/{propertyId}/values"
payload = {
"Name": "<string>",
"Description": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({Name: '<string>', Description: '<string>'})
};
fetch('https://api.jtl-cloud.com/erp/properties/{propertyId}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"Name": "<string>",
"Description": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}property
Create Property Value
deprecated
Create a new value for a specific property
POST
/
properties
/
{propertyId}
/
values
Create Property Value
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the property that the property values belong to.
Body
application/json
The value of the property.
Was this page helpful?
⌘I